#!/s/bin/python
# $Id: test0.py,v 1.2 1999-06-09 10:55:50-05 annis Exp $
# $Source: /home/orion/annis/code/NewMom/kstat/RCS/test0.py,v $

"""
This does a full kstat dump, using the raw interface.
"""

from wkstat import *
import sys

def full_name(k):
    return wkstat_module(k) + "." + `wkstat_instance(k)` + \
           "." + wkstat_name(k) + " [" + wkstat_class(k) + "]"

k = wkstat_open()

more = 1
while more >= 1:
    #print "more = %i" % more
    type = wkstat_type(k)
    if type == WKSTAT_TYPE_NAMED:
        wkstat_read(k)
        print full_name(k), ":"
        n = wkstat_named_read(k)
        while n:
            print "\t", n
            n = wkstat_named_read(k)
    elif type == WKSTAT_TYPE_IO:
        wkstat_read(k)
        print full_name(k), ":"
        print "\t", wkstat_io_read(k)
    elif type == WKSTAT_TYPE_RAW:
        print "RAW: ", full_name(k)
    elif type == WKSTAT_TYPE_INTR:
        print "INTR:", full_name(k)

    more = wkstat_next(k)
    #print "more %i" % more,

#print "Closing kstat."
wkstat_close(k)
#print "Closed kstat."

sys.exit(0)
